﻿
#Include <String.au3>
$nonbreaker = _HexToString("a0")
$dasher = _HexToString("96")
$dotter = _HexToString("85")
$singleopenquote = _HexToString("91")
$singleclosequote = _HexToString("92")
$doubleopenquote = _HexToString("93")
$doubleclosequote = _HexToString("94")

MsgBox (0, "Seven keyboard shortcuts for Idiom translators, version 4", "Shift+Ctrl+Space = non-breaking space (e.g. between digits and SI symbols, ""5 cm"")" & @CRLF & "Alt+Ctrl+fullstop = ellips (...)" & @CRLF & "Ctrl+NumMinus = en-dash" & @CRLF & "and also Ctrl+hyphen = en-dash" & @CRLF & @CRLF & "Ctrl+( = single opening quote" & @CRLF & "Ctrl+) = single closing quote (or curly apostrophe)" & @CRLF & "Ctrl+Shift+( = double opening quote" & @CRLF & "Ctrl+Shift+) = double closing quote" & @CRLF & @CRLF & "The non-breaking space does not work in a browser text field." & @CRLF & @CRLF & "To exit the program or to disable the shortcuts, click the round blue icon in the system tray.", 0)

HotKeySet("+^{SPACE}", "nonbreakspace")
HotKeySet("^{NUMPADSUB}", "endash")
HotKeySet("^-", "hyphdash")
HotKeySet("!^.", "ellips")

HotKeySet("^9", "singleopen")
HotKeySet("^0", "singleclose")
HotKeySet("^+9", "doubleopen")
HotKeySet("^+0", "doubleclose")

While 1
    Sleep(100)
WEnd

Func nonbreakspace()
ClipPut ($nonbreaker)
Send ("^v")
EndFunc

Func endash()
ClipPut ($dasher)
Send ("^v")
EndFunc

Func hyphdash()
ClipPut ($dasher)
Send ("^v")
EndFunc

Func ellips()
ClipPut ($dotter)
Send ("^v")
EndFunc

Func singleopen()
ClipPut ($singleopenquote)
Send ("^v")
EndFunc

Func singleclose()
ClipPut ($singleclosequote)
Send ("^v")
EndFunc

Func doubleopen()
ClipPut ($doubleopenquote)
Send ("^v")
EndFunc

Func doubleclose()
ClipPut ($doubleclosequote)
Send ("^v")
EndFunc
